Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MessageHandler Class Reference

Responsible for distribution of incoming messages. More...

`#include <InMessage.h>`

Inheritance diagram for MessageHandler:

[legend]
List of all members.

## Public Member Functions
virtual bool | handleMessage (InMessage &message)=0
| Called from a MessageQueue to distribute messages.

## Detailed Description

Responsible for distribution of incoming messages.

Derive any class that shall receive messages from MessageHandler and implement the handleMessage() function.

The MessageQueue needs a reference to a MessageHandler to distribute incoming messages.

Definition at line 205 of file InMessage.h.

## Member Function Documentation

virtual bool MessageHandler::handleMessage | ( | InMessage & | message | ) | `[pure virtual]`

  | Called from a MessageQueue to distribute messages. Use message.getMessageID to decide if the message is relavant for the MesssageHandler derivate. Use message.bin, message.text or message.config as In streams to get the data from. Parameters:
  message | The message that can be read.
Returns: true if the message was read (handled). Implemented in Module, ModuleHandler, ModuleSelector, Process, GT2005BallLocator, GTCamBallLocator, GT2005BehaviorControl, MotionRatingBehaviorControl, Xabsl2BehaviorControl, Xabsl2BehaviorControlAgentInterface, GTCamRaw, GT2005HeadControl, Xabsl2HeadControl, Xabsl2HeadControlAgentInterface, GT2005ImageProcessor, SlamImageProcessor, VLCImageProcessor, DebugMotionControl, GT2005MotionControl, GT2005ObstaclesLocator, GTCamObstaclesLocator, GTCamPlayersLocator, ComboLocator, GT2004SelfLocator, GT2005SelfLocator, GT2005StableSelfLocator, GTCamSelfLocator, SlamSelfLocator, GT2003MotionNetSpecialActions, GT2005TeamBallLocator, GT2004WalkingEngine, GT2005WalkingEngine, InvKinWalkingEngine, ParamInvKinWalkingEngine, ParamRearOnlyInvKinWalkingEngine, WalkingEngineSelector, Cognition, Debug, and Motion. Referenced by MessageQueue::handleAllMessages(), and MessageQueue::handleSpecificMessages().

The documentation for this class was generated from the following file:

- Tools/MessageQueue/InMessage.h